input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: #FBFBFB;
    border-radius: rem(32);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(64);
        outline: none;
        color: $dark;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(32);
        padding: rem(15) rem(28);
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border-radius: rem(32);
        border: rem(1) solid #94959A;
        @include placeholder(rgba(26, 26, 26, 0.51));

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
            box-shadow: 0px 8px 12px rgba(218, 218, 219, 0.2);
        }
    }

    &.error {

        #{$input-selector} {
            color: $red !important;
            border-color: $red !important;
            @include placeholder($red);

            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &--md {
        border-radius: rem(10);

        #{$input-selector} {
            height: rem(48);
            border-radius: rem(10);
            padding: rem(7) rem(28) rem(7) rem(44);
            background: #FBFBFB url("../img/icon_search.svg") rem(12) 50% no-repeat;
        }
    }
}
